export default class TemplateData {
    constructor(templateFile: any, defaultData?: {});
    _templateFile: any;
    _defaultData: {};
    _sections: {};
    _defaultFragment: {};
    registerSections(sections: any): void;
    renderSection(section: any, fragmentData: any, suffix: any): any;
    render(fragmentData?: {}, suffix?: string): any;
    last: any;
    renderFragments(fragmentData?: {}): any;
}
